Bug 215898 - Usb Acting weird
Summary: Usb Acting weird
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: CURRENT
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-usb mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-09 07:23 UTC by Carlos Jimenez
Modified: 2017-03-27 06:29 UTC (History)
6 users (show)

See Also:


Attachments
DMESG (12.88 KB, text/plain)
2017-01-09 07:23 UTC, Carlos Jimenez
no flags Details
DMESG WORKING SYSTEM NO USB ERRORS 12-CURRENT (10.91 KB, text/plain)
2017-01-10 11:43 UTC, Carlos Jimenez
no flags Details
Freebsd 12-currrent 01/12/2017 dmesg (10.87 KB, text/plain)
2017-01-12 20:29 UTC, Carlos Jimenez
no flags Details
Freebsd 12-currrent 01/12/2017 dmesg The Errors persist (13.05 KB, text/plain)
2017-01-12 20:34 UTC, Carlos Jimenez
no flags Details
Timer init fix (416 bytes, patch)
2017-01-17 10:48 UTC, Hans Petter Selasky
no flags Details | Diff
Alternate timer init fix (456 bytes, patch)
2017-01-19 10:22 UTC, Hans Petter Selasky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Jimenez 2017-01-09 07:23:48 UTC
Created attachment 178659 [details]
DMESG

pciconf -lv
hostb0@pci0:0:0:0:	class=0x060000 card=0x00011179 chip=0x00448086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Core Processor DRAM Controller'
    class      = bridge
    subclass   = HOST-PCI
vgapci0@pci0:0:2:0:	class=0x030000 card=0x00071179 chip=0x00468086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Core Processor Integrated Graphics Controller'
    class      = display
    subclass   = VGA
none0@pci0:0:22:0:	class=0x078000 card=0x00011179 chip=0x3b648086 rev=0x06 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '5 Series/3400 Series Chipset HECI Controller'
    class      = simple comms
ehci0@pci0:0:26:0:	class=0x0c0320 card=0x00011179 chip=0x3b3c8086 rev=0x06 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '5 Series/3400 Series Chipset USB2 Enhanced Host Controller'
    class      = serial bus
    subclass   = USB
hdac0@pci0:0:27:0:	class=0x040300 card=0x00011179 chip=0x3b568086 rev=0x06 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '5 Series/3400 Series Chipset High Definition Audio'
    class      = multimedia
    subclass   = HDA
pcib1@pci0:0:28:0:	class=0x060400 card=0x00011179 chip=0x3b428086 rev=0x06 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '5 Series/3400 Series Chipset PCI Express Root Port 1'
    class      = bridge
    subclass   = PCI-PCI
pcib2@pci0:0:28:1:	class=0x060400 card=0x00011179 chip=0x3b448086 rev=0x06 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '5 Series/3400 Series Chipset PCI Express Root Port 2'
    class      = bridge
    subclass   = PCI-PCI
pcib3@pci0:0:28:2:	class=0x060400 card=0x00011179 chip=0x3b468086 rev=0x06 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '5 Series/3400 Series Chipset PCI Express Root Port 3'
    class      = bridge
    subclass   = PCI-PCI
pcib4@pci0:0:28:3:	class=0x060400 card=0x00011179 chip=0x3b488086 rev=0x06 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '5 Series/3400 Series Chipset PCI Express Root Port 4'
    class      = bridge
    subclass   = PCI-PCI
ehci1@pci0:0:29:0:	class=0x0c0320 card=0x00011179 chip=0x3b348086 rev=0x06 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '5 Series/3400 Series Chipset USB2 Enhanced Host Controller'
    class      = serial bus
    subclass   = USB
pcib5@pci0:0:30:0:	class=0x060401 card=0x00011179 chip=0x24488086 rev=0xa6 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '82801 Mobile PCI Bridge'
    class      = bridge
    subclass   = PCI-PCI
isab0@pci0:0:31:0:	class=0x060100 card=0x00011179 chip=0x3b098086 rev=0x06 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'HM55 Chipset LPC Interface Controller'
    class      = bridge
    subclass   = PCI-ISA
ahci0@pci0:0:31:2:	class=0x010601 card=0x00011179 chip=0x3b298086 rev=0x06 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '5 Series/3400 Series Chipset 4 port SATA AHCI Controller'
    class      = mass storage
    subclass   = SATA
none1@pci0:0:31:6:	class=0x118000 card=0x00011179 chip=0x3b328086 rev=0x06 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '5 Series/3400 Series Chipset Thermal Subsystem'
    class      = dasp
sdhci_pci0@pci0:1:0:0:	class=0x080500 card=0x00011179 chip=0xe8221180 rev=0x01 hdr=0x00
    vendor     = 'Ricoh Co Ltd'
    device     = 'MMC/SD Host Controller'
    class      = base peripheral
    subclass   = SD host controller
iwm0@pci0:2:0:0:	class=0x028000 card=0x40708086 chip=0x08b18086 rev=0xbb hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Wireless 7260'
    class      = network
hostb1@pci0:255:0:0:	class=0x060000 card=0x80868086 chip=0x2c628086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Core Processor QuickPath Architecture Generic Non-core Registers'
    class      = bridge
    subclass   = HOST-PCI
hostb2@pci0:255:0:1:	class=0x060000 card=0x80868086 chip=0x2d018086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Core Processor QuickPath Architecture System Address Decoder'
    class      = bridge
    subclass   = HOST-PCI
hostb3@pci0:255:2:0:	class=0x060000 card=0x80868086 chip=0x2d108086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Core Processor QPI Link 0'
    class      = bridge
    subclass   = HOST-PCI
hostb4@pci0:255:2:1:	class=0x060000 card=0x80868086 chip=0x2d118086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '1st Generation Core i3/5/7 Processor QPI Physical 0'
    class      = bridge
    subclass   = HOST-PCI
hostb5@pci0:255:2:2:	class=0x060000 card=0x80868086 chip=0x2d128086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '1st Generation Core i3/5/7 Processor Reserved'
    class      = bridge
    subclass   = HOST-PCI
hostb6@pci0:255:2:3:	class=0x060000 card=0x80868086 chip=0x2d138086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '1st Generation Core i3/5/7 Processor Reserved'
    class      = bridge
    subclass   = HOST-PCI


Wdmesg
 
Copyright (c) 1992-2017 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 12.0-CURRENT #0 r311743M: Mon Jan  9 02:14:01 AST 2017
    root@darkmaza:/usr/obj/usr/src/sys/GENERIC-NODEBUG amd64
FreeBSD clang version 3.9.1 (tags/RELEASE_391/final 289601) (based on LLVM 3.9.1)
VT(vga): resolution 640x480
module zfsctrl already present!
CPU: Intel(R) Core(TM) i3 CPU       M 380  @ 2.53GHz (2527.07-MHz K8-class CPU)
  Origin="GenuineIntel"  Id=0x20655  Family=0x6  Model=0x25  Stepping=5
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x9ae3bd<SSE3,DTES64,MON,DS_CPL,VMX,EST,TM2,SSSE3,CX16,xTPR,PDCM,PCID,SSE4.1,SSE4.2,POPCNT>
  AMD Features=0x28100800<SYSCALL,NX,RDTSCP,LM>
  AMD Features2=0x1<LAHF>
  VT-x: PAT,HLT,MTF,PAUSE,EPT,UG,VPID
  TSC: P-state invariant, performance statistics
real memory  = 4294967296 (4096 MB)
avail memory = 3803156480 (3626 MB)
Event timer "LAPIC" quality 600
ACPI APIC Table: <TOSHIB A007B   >
FreeBSD/SMP: Multiprocessor System Detected: 4 CPUs
FreeBSD/SMP: 1 package(s) x 2 core(s) x 2 hardware threads
random: unblocking device.
ioapic0: Changing APIC ID to 1
ioapic0 <Version 2.0> irqs 0-23 on motherboard
SMP: AP CPU #1 Launched!
SMP: AP CPU #3 Launched!
SMP: AP CPU #2 Launched!
Timecounter "TSC-low" frequency 1263533224 Hz quality 1000
Cuse v0.1.34 @ /dev/cuse
random: entropy device external interface
kbd1 at kbdmux0
netmap: loaded module
nexus0
vtvga0: <VT VGA driver> on motherboard
cryptosoft0: <software crypto> on motherboard
acpi0: <TOSHIB A007B> on motherboard
acpi0: Power Button (fixed)
hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff on acpi0
Timecounter "HPET" frequency 14318180 Hz quality 950
Event timer "HPET" frequency 14318180 Hz quality 550
Event timer "HPET1" frequency 14318180 Hz quality 440
Event timer "HPET2" frequency 14318180 Hz quality 440
Event timer "HPET3" frequency 14318180 Hz quality 440
Event timer "HPET4" frequency 14318180 Hz quality 440
cpu0: <ACPI CPU> on acpi0
cpu1: <ACPI CPU> on acpi0
cpu2: <ACPI CPU> on acpi0
cpu3: <ACPI CPU> on acpi0
atrtc0: <AT realtime clock> port 0x70-0x77 irq 8 on acpi0
atrtc0: Warning: Couldn't map I/O.
Event timer "RTC" frequency 32768 Hz quality 0
attimer0: <AT timer> port 0x40-0x43,0x50-0x53 irq 0 on acpi0
Timecounter "i8254" frequency 1193182 Hz quality 0
Event timer "i8254" frequency 1193182 Hz quality 100
Timecounter "ACPI-fast" frequency 3579545 Hz quality 900
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x408-0x40b on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pcib0: could not evaluate _ADR - AE_NOT_FOUND
pci0: <ACPI PCI bus> on pcib0
vgapci0: <VGA-compatible display> port 0x3030-0x3037 mem 0xd0000000-0xd03fffff,0xc0000000-0xcfffffff irq 16 at device 2.0 on pci0
agp0: <Intel Ironlake (M) SVGA controller> on vgapci0
agp0: aperture size is 256M, detected 65532k stolen memory
acpi_video0: <ACPI video extension> on vgapci0
vgapci0: Boot video device
pci0: <simple comms> at device 22.0 (no driver attached)
ehci0: <Intel PCH USB 2.0 controller USB-B> mem 0xd4709000-0xd47093ff irq 16 at device 26.0 on pci0
usbus0: EHCI version 1.0
usbus0 on ehci0
usbus0: 480Mbps High Speed USB v2.0
hdac0: <Intel 5 Series/3400 Series HDA Controller> mem 0xd4700000-0xd4703fff irq 22 at device 27.0 on pci0
pcib1: <ACPI PCI-PCI bridge> irq 16 at device 28.0 on pci0
pcib1: [GIANT-LOCKED]
pci1: <ACPI PCI bus> on pcib1
sdhci_pci0: <RICOH R5CE822 SD> mem 0xd4600000-0xd46000ff irq 16 at device 0.0 on pci1
sdhci_pci0: 1 slot(s) allocated
pcib2: <ACPI PCI-PCI bridge> irq 17 at device 28.1 on pci0
pcib2: [GIANT-LOCKED]
pci2: <ACPI PCI bus> on pcib2
iwm0: <Intel Dual Band Wireless AC 7260> mem 0xd4500000-0xd4501fff irq 17 at device 0.0 on pci2
pcib3: <ACPI PCI-PCI bridge> irq 18 at device 28.2 on pci0
pcib3: failed to allocate initial prefetch window: 0xd0400000-0xd23fffff
pcib3: [GIANT-LOCKED]
pcib4: <ACPI PCI-PCI bridge> irq 19 at device 28.3 on pci0
pcib4: [GIANT-LOCKED]
ehci1: <Intel PCH USB 2.0 controller USB-A> mem 0xd4708000-0xd47083ff irq 23 at device 29.0 on pci0
usbus1: EHCI version 1.0
usbus1 on ehci1
usbus1: 480Mbps High Speed USB v2.0
pcib5: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci3: <ACPI PCI bus> on pcib5
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
ahci0: <Intel 5 Series/3400 Series AHCI SATA controller> port 0x3028-0x302f,0x303c-0x303f,0x3020-0x3027,0x3038-0x303b,0x3000-0x301f mem 0xd4707000-0xd47077ff irq 19 at device 31.2 on pci0
ahci0: AHCI v1.30 with 4 3Gbps ports, Port Multiplier not supported
ahcich0: <AHCI channel> at channel 0 on ahci0
ahcich1: <AHCI channel> at channel 1 on ahci0
ahcich5: <AHCI channel> at channel 5 on ahci0
ahciem0: <AHCI enclosure management bridge> on ahci0
pcib6: <ACPI Host-PCI bridge> on acpi0
pci4: <ACPI PCI bus> on pcib6
acpi_acad0: <AC Adapter> on acpi0
acpi_button0: <Power Button> on acpi0
acpi_lid0: <Control Method Lid Switch> on acpi0
battery0: <ACPI Control Method Battery> on acpi0
acpi_tz0: <Thermal Zone> on acpi0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
psm0: <PS/2 Mouse> irq 12 on atkbdc0
psm0: [GIANT-LOCKED]
psm0: model Synaptics Touchpad, device ID 0
orm0: <ISA Option ROM> at iomem 0xe0000-0xeffff on isa0
ppc0: cannot reserve I/O port range
coretemp0: <CPU On-Die Thermal Sensors> on cpu0
est0: <Enhanced SpeedStep Frequency Control> on cpu0
coretemp1: <CPU On-Die Thermal Sensors> on cpu1
est1: <Enhanced SpeedStep Frequency Control> on cpu1
coretemp2: <CPU On-Die Thermal Sensors> on cpu2
est2: <Enhanced SpeedStep Frequency Control> on cpu2
coretemp3: <CPU On-Die Thermal Sensors> on cpu3
est3: <Enhanced SpeedStep Frequency Control> on cpu3
NULL mp in getnewvnode()
fuse-freebsd: version 0.4.4, FUSE ABI 7.8
ZFS filesystem version: 5
ZFS storage pool version: features support (5000)
Timecounters tick every 1.000 msec
ugen1.1: <Intel EHCI root HUB> at usbus1
ugen0.1: <Intel EHCI root HUB> at usbus0
hdacc0: <Realtek ALC269 HDA CODEC> at cad 0 on hdac0
hdaa0: <Realtek ALC269 Audio Function Group> at nid 1 on hdacc0
pcm0: <Realtek ALC269 (Internal Analog)> at nid 20 and 18 on hdaa0
pcm1: <Realtek ALC269 (Right Analog)> at nid 33 and 24 on hdaa0
hdacc1: <Intel Ibex Peak HDA CODEC> at cad 3 on hdac0
hdaa1: <Intel Ibex Peak Audio Function Group> at nid 1 on hdacc1
pcm2: <Intel Ibex Peak (HDMI/DP 8ch)> at nid 4 on hdaa1
pcm3: <Intel Ibex Peak (HDMI/DP 8ch)> at nid 5 on hdaa1
uhub0: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus0
uhub1: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus1
ses0 at ahciem0 bus 0 scbus3 target 0 lun 0
ses0: <AHCI SGPIO Enclosure 1.00 0001> SEMB S-E-S 2.00 device
ses0: SEMB SES Device
ada0 at ahcich0 bus 0 scbus0 target 0 lun 0
ada0: <WDC WD3200BEKT-60F3T1 12.01A12> ATA8-ACS SATA 2.x device
ada0: Serial Number WD-WX20AA9K3948
ada0: 300.000MB/s transfers (SATA 2.x, UDMA5, PIO 8192bytes)
ada0: Command Queueing enabled
ada0: 305245MB (625142448 512 byte sectors)
Steering write from 0 kBps to 300000 kBps
cd0 at ahcich1 bus 0 scbus1 target 0 lun 0
cd0: <MATSHITA DVD-RAM UJ892ES 1.20> Removable CD-ROM SCSI device
cd0: Serial Number HK31 305776
cd0: 150.000MB/s transfers (SATA 1.x, UDMA5, ATAPI 12bytes, PIO 8192bytes)
cd0: Attempt to query device size failed: NOT READY, Medium not present - tray closed
uhub1: 2 ports with 2 removable, self powered
iwm0: hw rev 0x140, fw ver 16.242414.0, address f0:42:1c:c7:07:59
uhub0: 2 ports with 2 removable, self powered
Trying to mount root from zfs:tank/ROOT/default []...
usb_alloc_device: set address 2 failed (USB_ERR_TIMEOUT, ignored)
usb_alloc_device: set address 2 failed (USB_ERR_TIMEOUT, ignored)
usbd_setup_device_desc: getting device descriptor at addr 2 failed, USB_ERR_TIMEOUT
usbd_setup_device_desc: getting device descriptor at addr 2 failed, USB_ERR_TIMEOUT
Root mount waiting for: usbus1 usbus0
usbd_req_re_enumerate: addr=2, set address failed! (USB_ERR_TIMEOUT, ignored)
usbd_req_re_enumerate: addr=2, set address failed! (USB_ERR_TIMEOUT, ignored)
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
usbd_setup_device_desc: getting device descriptor at addr 2 failed, USB_ERR_TIMEOUT
usbd_setup_device_desc: getting device descriptor at addr 2 failed, USB_ERR_TIMEOUT
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
usbd_req_re_enumerate: addr=2, set address failed! (USB_ERR_TIMEOUT, ignored)
usbd_req_re_enumerate: addr=2, set address failed! (USB_ERR_TIMEOUT, ignored)
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
usbd_setup_device_desc: getting device descriptor at addr 2 failed, USB_ERR_TIMEOUT
usbd_setup_device_desc: getting device descriptor at addr 2 failed, USB_ERR_TIMEOUT
Root mount waiting for: usbus1 usbus0
usbd_req_re_enumerate: addr=2, set address failed! (USB_ERR_TIMEOUT, ignored)
usbd_req_re_enumerate: addr=2, set address failed! (USB_ERR_TIMEOUT, ignored)
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
Root mount waiting for: usbus1 usbus0
usbd_setup_device_desc: getting device descriptor at addr 2 failed, USB_ERR_IOERROR
usbd_setup_device_desc: getting device descriptor at addr 2 failed, USB_ERR_IOERROR
Root mount waiting for: usbus1 usbus0
ugen1.2: <vendor 0x8087 product 0x0020> at usbus1
uhub2 on uhub1
uhub2: <vendor 0x8087 product 0x0020, class 9/0, rev 2.00/0.00, addr 2> on usbus1
ugen0.2: <vendor 0x8087 product 0x0020> at usbus0
uhub3 on uhub0
uhub3: <vendor 0x8087 product 0x0020, class 9/0, rev 2.00/0.00, addr 2> on usbus0
Root mount waiting for: usbus1 usbus0
uhub3: 6 ports with 6 removable, self powered
uhub2: 8 ports with 8 removable, self powered
Root mount waiting for: usbus1 usbus0
ugen0.3: <vendor 0x08ff Fingerprint Sensor> at usbus0
ugen1.3: <vendor 0x8087 product 0x07dc> at usbus1
ugen0.4: <Realtek 2SF001> at usbus0
wlan0: Ethernet address: f0:42:1c:c7:07:59
iwm0: iwm_update_edca: called
iwm0: iwm_update_edca: called
wlan0: link state changed to UP
info: [drm] Initialized drm 1.1.0 20060810
drmn0: <Intel IronLake> on vgapci0
intel_iicbb0 on drmn0
iicbus0: <Philips I2C bus> on iicbb0 addr 0xff
iic0: <I2C generic I/O> on iicbus0
iicbus1: <Philips I2C bus> on intel_gmbus0
iic1: <I2C generic I/O> on iicbus1
intel_iicbb1 on drmn0
iicbus2: <Philips I2C bus> on iicbb1 addr 0x0
iic2: <I2C generic I/O> on iicbus2
iicbus3: <Philips I2C bus> on intel_gmbus1
iic3: <I2C generic I/O> on iicbus3
intel_iicbb2 on drmn0
iicbus4: <Philips I2C bus> on iicbb2 addr 0x0
iic4: <I2C generic I/O> on iicbus4
iicbus5: <Philips I2C bus> on intel_gmbus2
iic5: <I2C generic I/O> on iicbus5
intel_iicbb3 on drmn0
iicbus6: <Philips I2C bus> on iicbb3 addr 0x0
iic6: <I2C generic I/O> on iicbus6
iicbus7: <Philips I2C bus> on intel_gmbus3
iic7: <I2C generic I/O> on iicbus7
intel_iicbb4 on drmn0
iicbus8: <Philips I2C bus> on iicbb4 addr 0x0
iic8: <I2C generic I/O> on iicbus8
iicbus9: <Philips I2C bus> on intel_gmbus4
iic9: <I2C generic I/O> on iicbus9
intel_iicbb5 on drmn0
iicbus10: <Philips I2C bus> on iicbb5 addr 0x0
iic10: <I2C generic I/O> on iicbus10
iicbus11: <Philips I2C bus> on intel_gmbus5
iic11: <I2C generic I/O> on iicbus11
info: [drm] MSI enabled 1 message(s)
info: [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
info: [drm] Driver supports precise vblank timestamp query.
info: [drm] GMBUS [i915 gmbus panel] timed out, falling back to bit banging on pin 3
intel_sdvo_ddc_proxy921920 on drmn0
intel_sdvo_ddc_proxy921920: detached
drm_iic_dp_aux0 on drmn0
drm_iic_dp_aux1 on drmn0
drmn0: taking over the fictitious range 0xc0000000-0xd0000000
info: [drm] Connector LVDS-1: get mode from tunables:
info: [drm]   - kern.vt.fb.modes.LVDS-1
info: [drm]   - kern.vt.fb.default_mode
info: [drm] Connector VGA-1: get mode from tunables:
info: [drm]   - kern.vt.fb.modes.VGA-1
info: [drm]   - kern.vt.fb.default_mode
info: [drm] Connector HDMI-A-1: get mode from tunables:
info: [drm]   - kern.vt.fb.modes.HDMI-A-1
info: [drm]   - kern.vt.fb.default_mode
info: [drm] Connector DP-1: get mode from tunables:
info: [drm]   - kern.vt.fb.modes.DP-1
info: [drm]   - kern.vt.fb.default_mode
info: [drm] Connector HDMI-A-2: get mode from tunables:
info: [drm]   - kern.vt.fb.modes.HDMI-A-2
info: [drm]   - kern.vt.fb.default_mode
info: [drm] Connector DP-2: get mode from tunables:
info: [drm]   - kern.vt.fb.modes.DP-2
info: [drm]   - kern.vt.fb.default_mode
fbd0 on drmn0
VT: Replacing driver "vga" with new "fb".
info: [drm] Initialized i915 1.6.0 20080730 for drmn0 on minor 0



Im getting this usb errors all the time and my system boots slow with 



sb_alloc_device: set address 2 failed (USB_ERR_TIMEOUT, ignored)
usb_alloc_device: set address 2 failed (USB_ERR_TIMEOUT, ignored)
usbd_setup_device_desc: getting device descriptor at addr 2 failed, USB_ERR_TIMEOUT
usbd_setup_device_desc: getting device descriptor at addr 2 failed, USB_ERR_TIMEOUT



ON 
FreeBSD darkmaza 12.0-CURRENT FreeBSD 12.0-CURRENT #0 r311743M: Mon Jan  9 02:14:01 AST 2017     root@darkmaza:/usr/obj/usr/src/sys/GENERIC-NODEBUG  amd64
Comment 1 Hans Petter Selasky freebsd_committer 2017-01-09 07:55:40 UTC
Hi,

The USB timeouts might indicate a host controller IRQ problem. What does "vmstat -i" show about the number of interrupts from ehci/ohci. Further did you check/toggle USB BIOS settings?

--HPS
Comment 2 Carlos Jimenez 2017-01-09 22:11:25 UTC
(In reply to Hans Petter Selasky from comment #1)
vmstat -i
interrupt                          total       rate
irq1: atkbd0                         932          1
irq9: acpi0                           65          0
irq12: psm0                        88134         75
irq16: ehci0                        1860          2
irq23: ehci1                        2359          2
cpu0:timer                       1216955       1041
cpu1:timer                       1104290        944
cpu3:timer                       1105451        945
cpu2:timer                      37546500      32112
irq264: hdac0                       3133          3
irq268: iwm0                        3213          3
irq271: ahci0                      53044         45
irq272: vgapci0                   105895         91
Total                           41231831      35264
Comment 3 Carlos Jimenez 2017-01-09 22:13:09 UTC
What i need to do to resolve this ? actually this dont happen on FreeBSD 11-RELEASE.
Comment 4 Hans Petter Selasky freebsd_committer 2017-01-10 08:45:53 UTC
Can you upload dmesg from working and non-working system. Might be an ACPI issue.

--HPS
Comment 5 Carlos Jimenez 2017-01-10 11:43:48 UTC
Created attachment 178699 [details]
DMESG WORKING SYSTEM NO USB ERRORS 12-CURRENT
Comment 6 Hans Petter Selasky freebsd_committer 2017-01-10 11:54:38 UTC
Hi,

The USB code is pretty identical between 11-stable and 12-current. I doubt the problem is due to the USB code.

I think this might be related to the problem you are experiencing:

pcib0: could not evaluate _ADR - AE_NOT_FOUND

Can you try building a new 12-current kernel as of today, because there were some recent ACPI updates in 12-current and send new DMESG.

--HPS
Comment 7 Carlos Jimenez 2017-01-12 20:29:13 UTC
Created attachment 178839 [details]
Freebsd 12-currrent 01/12/2017 dmesg
Comment 8 Carlos Jimenez 2017-01-12 20:34:50 UTC
Created attachment 178840 [details]
Freebsd 12-currrent 01/12/2017 dmesg The Errors persist
Comment 9 Hans Petter Selasky freebsd_committer 2017-01-13 08:21:59 UTC
Hi Robert Moore,

Could you have a look at the following error:

pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pcib0: could not evaluate _ADR - AE_NOT_FOUND
pci0: <ACPI PCI bus> on pcib0

Can it explain why EHCI is getting no interrupts?

--HPS
Comment 10 Hans Petter Selasky freebsd_committer 2017-01-13 08:24:10 UTC
This might look like an ACPI regression in 12-CURRENT.
Comment 11 Hans Petter Selasky freebsd_committer 2017-01-13 08:27:39 UTC
Working revision of 12-current: r311874
Failing revision of 12-current: r311993

Adding John Baldwin aswell.
Comment 12 Hans Petter Selasky freebsd_committer 2017-01-13 13:52:18 UTC
Carlos: Is it possible you could locate the exact revision between:

Working revision of 12-current: r311874
Failing revision of 12-current: r311993

which introduce this failure, using bisecting?
Comment 13 Carlos Jimenez 2017-01-13 17:58:17 UTC
Sorry but i only know how to bisect the linux kernel with git i dont know how to bisect with svn.
Comment 14 Carlos Jimenez 2017-01-13 19:04:15 UTC
I can confirm this has something to do with the acpi code because i removed acpi_video_load="YES" from /boot/loader.conf and i load it with 
kld_list="acpi_video" on /etc/rc.conf which load the modules after the usb load and mount the zpool tank and i booted like 10 times with no usb errors.
Comment 15 Hans Petter Selasky freebsd_committer 2017-01-13 19:15:22 UTC
Hi,

Bisecting can be done by checking out freebsd sources from github.com, and using git bisect.

--HPS
Comment 16 John Baldwin freebsd_committer freebsd_triage 2017-01-13 21:18:38 UTC
The _ADR is probably not relevant.  The pcib driver uses _ADR as part of a fallback to determine the PCI bus number of the bus under a Host-PCI bridge if _BBN doesn't work or isn't present.  However, if you only have a single Host-PCI bridge it is going to be using PCI bus 0 which is what it will end up using (and that works since you find PCI devices).  If it was truly broken you wouldn't find any PCI devices at all under the bridge.

Carlos, can you try disabling EARLY_AP_STARTUP in your kernel config to see if that makes a difference?
Comment 17 Carlos Jimenez 2017-01-13 22:25:09 UTC
Ok im going to disable EARLY_AP_STARTUP
but i think im happy with the workaround i found removing acpi_video from /boot/loader.conf and loading the acpi_video from /etc/rc.conf now my system boot faster and i dont get any of those usb errors but we can continue finding a solution for this problem. thanks.
Comment 18 Carlos Jimenez 2017-01-13 22:56:17 UTC
disabling EARLY_AP_STARTUP really helps no usb errors.
Comment 19 Hans Petter Selasky freebsd_committer 2017-01-17 10:48:23 UTC
Created attachment 178987 [details]
Timer init fix

Hi,

Could you test the attached patch with the latest 12-current. Does it solve the problem?

--HPS
Comment 20 Hans Petter Selasky freebsd_committer 2017-01-19 10:22:05 UTC
Created attachment 179066 [details]
Alternate timer init fix
Comment 21 Hans Petter Selasky freebsd_committer 2017-01-23 07:59:21 UTC
Hi,

Can you re-test the latest 12-current and re-open if the issue is still present?

A similar issue has been fixed.

--HPS
Comment 22 Cy Schubert freebsd_committer 2017-03-26 22:02:26 UTC
Seeing the same problem again post r315914.
Comment 23 Hans Petter Selasky freebsd_committer 2017-03-27 06:29:04 UTC
What are the errors you see in dmesg?

--HPS
Comment 24 Hans Petter Selasky freebsd_committer 2017-03-27 06:29:45 UTC
There hasn't been any USB patches recently, so this is likely not related to USB.